import {createApp} from 'vue'
import './style.scss'
import App from './App.vue'
// @ts-expect-error
import VueTyped from 'vue3-typed-js'
import router from "@/router";
import {library} from '@fortawesome/fontawesome-svg-core'
import {FontAwesomeIcon} from '@fortawesome/vue-fontawesome'
import {faClock} from '@fortawesome/free-regular-svg-icons'
import {
  faXmark,
  faBlog,
  faGauge,
  faCodeBranch,
  faCloud,
  faChevronRight,
  faCodeCommit,
  faCode,
  faHouse,
  faPen,
  faBrush,
  faChessRook,
  faBars,
  faChevronDown
} from '@fortawesome/free-solid-svg-icons'
import {faWeibo, faQq, faGithubAlt, faSteamSymbol} from '@fortawesome/free-brands-svg-icons'

library.add(
  faClock, faXmark, faBlog, faGauge, faCodeBranch, faCloud, faWeibo, faQq, faGithubAlt, faSteamSymbol, faChevronRight,
  faCodeCommit, faCode, faHouse, faPen, faBrush, faChessRook, faBars, faChevronDown
)

createApp(App)
  .use(router)
  .use(VueTyped)
  .component('font-awesome-icon', FontAwesomeIcon)
  .mount('#app')
